Smart questions
Smart answers
Smart people
INTELLIGENT WORK FORUMS
FOR ENGINEERING PROFESSIONALS

Member Login




Remember Me
Forgot Password?
Join Us!

Come Join Us!

Are you an
Engineering professional?
Join Eng-Tips now!
  • Talk With Other Members
  • Be Notified Of Responses
    To Your Posts
  • Keyword Search
  • One-Click Access To Your
    Favorite Forums
  • Automated Signatures
    On Your Posts
  • Best Of All, It's Free!

Join Eng-Tips
*Eng-Tips's functionality depends on members receiving e-mail. By joining you are opting in to receive e-mail.

Posting Guidelines

Promoting, selling, recruiting, coursework and thesis posting is forbidden.
Jobs from Indeed

Link To This Forum!

Partner Button
Add Stickiness To Your Site By Linking To This Professionally Managed Technical Forum.
Just copy and paste the
code below into your site.

Documentation

Tips and tricks in CATIA
Posted: 24 Jun 03 (Edited 11 Jun 09)

Hi,

Here's a few V5 tips and tricks courtesy to Christian Bunes:

Organizing in Geometrical Sets (V5) - Very often when you make a new geometrical set you move the desired elements into them afterwards. This method however may save you some work.
First select all the elements you want to move into the new Geometrical Set. Then click Insert > Geometrical Set. All your previously selected elements are listed in the 'Features' field. In the 'Father' field, select the set you want the new set to be included into. If you have defined a geometrical set as your 'In work object' this will be set as 'Father' by default.
Type a name of the new set in the name field. If you leave this field blank your new set will be named Geometrical Set.n, where n is the next available number in line.
When you click OK the new geometrical set will be moved into the one selected as Father with all pre-selected geometrical elements moved into the new set.

Avoid zoom on tree (V5) - If you try to click the + sign in your spec tree but miss and click a branch instead your model will get a darker shade and all your space mouse movements will affect the spec tree instead of the model. (Unless of course this had been disabled already.)
Click Tools > Options. Select General > Display > Tree Manipulation (Disable this box)
If you should have the need to resize your tree afterwards, hold Ctrl while scrolling the mouse wheel instead.

Increase number of undo levels (V5) - Default number of undo levels are 10. In some cases it can be very useful to have a few more, but do remember that this will hog system memory so show restraint when altering this setting.
R16: Tools > Options: Select General > Performances.
R18: Tools > Options: General > PCS

Power Input and searching (V5)
General Power Input commands are accessed like this: c:name of command (I.e. c:line)
Other prefixes (with short versions in brackets) are: name(n), visibility(vis), favorite (f), name in graph and type (t).
Examples on usage:
n:healing.3 (This will select and highlight in your tree and on the model the feature named healing.3)
name in graph:lower_wheelarch_clip (This will select the body or geometrical set that is named 'lower_wheelarch_clip' in your tree. Notice the difference from the previous command.)
t:plane (This will select ALL planes in your model.)
t:plane & vis:visible (This however will select all visible (meaning not hidden) planes in your model.)
t:plane & vis:visible,scr (An alternate to the above where this will select only all visble planes currently shown on screen.)

Make a macro out of a Power Input command (V5) - Not all commands are available as buttons, but they are available as Power Input commands. Like for instance the 'scale planes' tool that can be helpful to have as a button on your own toolbar. Use the built in Visual Basic editor to make a catvba project where you add this code in a new module:
Language "VBSCRIPT"
Sub CATMain()
CATIA.StartCommand "scale planes"
End Sub
Any command can be used. Access this through Customize window (right click any toolbar, look at the end of the context sensitive menu) > Commands > Macros to add it to your own toolbars.


You have here a collection of tricks and tips in CATIA from www.d-digest.com . Some of them are very useful, especially for beginners. I've mentioned also the original senders for Tips and Tricks section at www.d-digest.com.

Tips & Tricks Converting Part Files to CATIA V4 Without STEP License - This is an alternative method to convert part files (*.prt) of UG to CATIA V4 (*.model) for those who do not have STEP licenses. Export the *.prt as parasolid in UG.

Import the parasolid in IDEAS and export to CATIA. Rename the output as .model to see a volume in CATIA V4.

(The advantage of this method is that you get a volume directly instead of faces, etc. as they are obtained by IGES of CATIA V4.) Convert this volume directly to solid.

The success rate is very high with this method. Its only disadvantage is that it is lengthy.

-- Submitted by Ravi Chandra Phani T., design engineer, Infotech Enterprises Ltd., Hyderabad, India

------------------------

Building Bridges A commentary on V4 to V5 functionality - Barbara Gaillard Layering existed in prior CATIA releases to handle a variety of needs. Very early on (CATIA V2), it was necessary to place multiple assembly components into a single CATIA model and Layers and Filters were used to manage the display of these components. Solid modeling was not used extensively in earlier versions of CATIA; therefore, Layers and Filters were needed to manage the display of pieces such as wireframe, surfaces, faces and volume describing a single part. Because multi-model links did not exist, it was necessary to store downstream applications such as NC data in the same model, and Layers and Filters made this manageable. Rather than further elaborate on Layer usage in V4, let us stop here and think about Version 5. Hide/Show is an easy concept for the V4 user to grasp. Yes, in V4 there is No Show/Show function along with Layers, but let us consider this more closely. When solid primitives are selected for modification in V4, their profile geometries automatically become visible, even when stored in No Show. When the change is complete, the geometry returns to its hidden state. It is interesting to note how many companies do not allow any geometry to be stored in No Show. This is generally because automated checking programs cannot distinguish elements that are linked to solids from unnecessary points or lines. Some companies continue to place construction geometry on a separate layer (a V3 practice), when it clearly is not as efficient for the designer. This practice illustrates the reluctance of users to change established practices, but imagine the designer's dilemma if we had not changed from 2D to 3D. In V4, it is not possible to work in the No Show area or to alter geometry that is hidden. The V5 user may use Swap Visible Space to select and alter components. The "hidden" working area has a light green background that easily distinguishes it from the main working area. The result of this added V5 capability is two main working areas-all that is necessary when working in a single component (the solid model), using a single application (part design, assembly design, drafting, NC, etc.). The Specification Tree and Contextual Menu make it simple to bring elements (i.e., sketches and reference planes) in and out of Hide. When it comes to assemblies, it is not only unnecessary, but also inadvisable, to put multiple components together within a single file. Do we want to re-release an assembly each time a single part is changed? Do we want to leave the assembly released with obsolete components? The creation of assemblies that copy geometry, rather than reference it, is a data-management nightmare.
CATProduct, which is similar to a V4 session, references part data and also contains instructions for how these pieces relate to one another. (Assembly
design is another good candidate for a separate article relating V4 and V5 differences.) Staying on our topic of Layers, within CATProduct it is possible
to hide entire parts or to hide (or make visible) individual sketches or references contained in the part. When various configurations of the same assembly are required for a drawing, technical illustration or other type of documents, the Scenes tool provides the flexibility that is similar to multiple Filters, and goes even further. In addition to storing visibility and color of components in multiple configurations, Scenes also can store a variety of positions, such as exploded or assembled. Scenes are stored in CATProduct, but are accessible for use in other documents, such as CATDrawings.
Finally, it is difficult to believe that anyone who has taught the use of Layers and Filters or has participated in the development of a standard layering convention will regret that this paradigm has been omitted from V5. The new tools are easier to learn, easier to use and more efficient. Regarding SolidE Boolean operations: they still exist in V5, but only are used in specific cases. V5 uses a feature-based modeling approach and it is not necessary to subtract a hole, because the nature of such a feature is the removal of material. The tools in V5 inherently determine whether material is to be added or removed. It is possible to create separate Bodies and to Add, Remove and Intersect them with one another, but it is best to begin V5 with the feature-based idea, and leave V4 methods behind. These examples may help to explain why it would be a disservice to provide command-to-command translations. V5 is a natural transition because it utilizes the designer's feature-based thought process and is a truer reflection of real-world geometric relationships. However, it also is natural to resist change and to be apprehensive of the unknown. V5 is a new product and new practices must be learned.

Barbara Gaillard has specialized in CAD technology for 20 years, with CATIA being a main focus since 1986. Her experience spans the automotive and aerospace industries, with some exposure to consumer products and shipbuilding. She also has been a member of the advisory board for CATIA Solutions Magazine since 1999. She can be reached at bgaillard@worldnet.att.net

-----------------------------

To Export Specification Tree - When you want to export your specification tree, go to Save As and select text file. You will get a text file that contains only your specification tree.

Edit a drawing from 3D Element - When you generate a drawing form a 3D element and want to edit it, right-click on the current view, and then on object->isolate. For example, you can isolate the top view on the top view. You will lose any 3D data on this view and you can edit everything; e.g., fillets, trims, etc.

-- Submitted by Lajos Szarvas, Yugoslavia

-------------------------------

Dimensioning Between Circles - Here's a tip for dimensioning between the centers of two circles that lie on different planes: sketch the first circle on one plane. Select the second plane, sketch the circle, then place a point and constrain it concentric with the first circle lying on the first plane.
(Without this point, dimension occurs from the center of the second circle to a tangent of first circle.) Place the dimension between this point and the center of the second circle. Change the point as a reference element.

-- Submitted by Suresh Balasundaram, training officer, Amrita CAD/CAM Center, Amrita Institutions, Tamil Nadu, India.

---------------------------------

Replacing CATIA V4 with V5 - CATIA V5 has now reached a level where you can start thinking seriously about replacing CATIA V4 with V5. Depending on your needs, many factors will influence your decision as to whether it's time to switch to V5, but we can identify three subjects that everyone is concerned about: interoperability, data migration and interfaces. Here is a summary of the current situation. What you can do today: Interoperability: By interoperability, we mean using V4 data in V5 or using V5 data in V4. From V4 to V5: V4 models can be easily inserted as components in a CATProduct. Once inserted, they can be used the same way as a V5 component, and you benefit from a full associativity between the V4 model and CATIA V5. Assembly and Product Structure capabilities: V4 models are fully compatible with these two workbenches. You can copy-paste (insert, renumber, etc.) them as if they were real V5 CATParts. Design in context: You can use a V4 solid to design a new CATPart in context of V4 solids. You can use a face as a sketch plane, relimit a V5 Pad using a V4 solid, etc. DMU Solutions: You can use V4 models in the four DMU workbenches. Drafting: You can generate the drawing of a CATProduct containing V4 models. From V5 to V4: CATParts can be imported (with Solid-Import capability) into a V4 solid. At that point, the V4 solid can be used in all CATIA V4 downstream applications and benefits from a full associativity with the CATPart.

Data migration: Data migration is the conversion of V4 data into V5 data and vice-versa. We can simplify the actual situation into six points: All V4 elements can be translated without their history (As_Result) into CATIA V5. V4 solids can also be translated with their history. If you are using exact solids, make sure that they are "Exact" solids. If you are using mock-up solids, make sure that they are not "isolated." V4 drawings as well as V4 Kinematics can be translated in CATIA V5. V4 3D Detail Libraries can be translated into V5 catalogs. Complete 3D data fromV4 models can be translated in batch mode. Save "as model" of a V5 CATPart (without associativity).

Interfaces: For 3D data, both IGES and STEP already give better results than have been achieved in V4. For 2D data, partial results are reached with DXF.

-- Submitted by Fred Beaudin, is a CAD/CAM consultant for ACT working in the CATIA Consulting Department of Dassault Systèmes, France. His main fields of
expertise are V4-V5 interoperability and manufacturing. He can be reached at fbn@act.qc.ca.

------------------------------------------------

Lose the external references - Please note it's not possible to work with external references for kinematics joints in DMU Kinematics V5. DMU Kinematics
reduces automatically the number of degrees for the kinematics. The user suspects that he or she misunderstands at first, when the popup menu appears
saying "kinematics overconstraint," etc. Switch off the option keep external reverences.

-- Heiko Oldendorf, managing director, free d graphics, Germany

---------------------------------------

Calculating assembly weight - CATIA can give you the weight of assemblies with parts of different materials. You must analyze each part independently, store the results for the parts and then combine the results to get the final assembly weight, center of gravity, etc. Call up your solid assy model. Go to the analysis/inertia/compute menu. Pick one solid; enter the material density of the part; hit yes to store the results. Do this operation to all the solids that you need in the assy model. Now go to the combine sub-function in the analysis/inertia menu. Pick the solids that you have computed and stored the results for. (Steps 2, 3, etc.) [Note: If you did not calculate the inertia for each individual part solid, that solid will not be included in the combination to get the final result.] If your alphanumeric window is open, you will see the information change as you pick the solids. The selected solids will highlight, so you won't make the mistake of re-picking them. When you're done picking the solids, at the bottom of the alphanumeric window you will get the final results. It will be the final entry in the alphanumeric window, so be careful what you read from it, since there is no distinction between the final result and the previous results.

-- Hector Espinoza, mechanical designer, Control Systems Division - Military, Parker Aerospace, Parker Haniffin Corporation, Irvine, Calif.

---------------------------------

Rotate & zoom - Have you worked with Pro/E before you began using CATIA V5? Then you are used to using the ctrl key for rotate and zoom. In V5 you also
can use the ctrl key with your mouse button to rotate and zoom, by adding your middle mouse button. Just hold down the ctrl key and then the middle mouse
button to zoom. To rotate, start to hold down the middle mouse bottom and then hit your ctrl key.

-- Submitted by Anders Fors, application specialist, Xdin AB, Västra Frölunda, Sweden

------------------------

Collapsing  the tree - I found a very useful way recently to collapse the tree in one go by clicking on a single icon. The Method: Tools/Customize/Commands Select AllCommands from the Categories list (at bottom). Select Collapse All from the Commands list Select Show Properties. Select an icon button Select Tree icon at the bottom right corner of Page 1 (or any preferred icon). Select Close. Select Collapse All (text) in Commands list and drag onto the update icon on the bottom toolbar (or any preferred icon). Once this is selected in that workbench, your specification tree will collapse. You need to do this for all the workbenches you use it for; i.e., Part Design, Assembly etc.

-- Submitted by Mark Hodder, Concentric Asia Pacific, Pennant Hills, New South Wales, Australia

---------------------------

Including multiple objects - While using the Rectangular Pattern command in the Part Design module, you can include multiple objects in your pattern. To do so, just multi-select (while holding the CTRL key) the objects before clicking on the Rectangular Pattern command. You will then see the list of objects to pattern in the "Object to Pattern" section of the dialog box.

-- Submitted by Dominique Croteau, idCAD Consulting, Montreal, Canada

--------------------------

Faster changing of workbenches - In CATIA V5R7 SP1 customize the Start menu to include your favorite workbenches. Point at the current Workbench icon with the mouse and press MB3. A panel of the workbenches in your Start menu appears next to the current workbench icon-slide down and select the workbench you wish to change to. If you have other V5 documents open, you will note in this panel that some of the workbench icons have a drop-down arrow on them. From the drop-down select another open document suitable to the workbench type to make current with the selected Workbench active. The new option in the drop-down changes Workbench in the current document the same way the first technique outlined does, when multiple documents are open.

-- Submitted by Barry Caudle, industry specialist, CONCENTRIC Asia Pacific, Pennant Hills, New South Wales, Australia

------------------------------

Avoid wire-frame - I recommend having the least amount of wire-frame possible (use cuboids and cylinders). This will aid downstream applications such as
PARAM3D, CAM and IGES translations. Note: if wire-frame is used for revolutions, then use Fillets and Chamfers from the SolidE function rather than incorporating these in the profile to be revolved. Remember that SolidE > modify >geometry > param > Cont. > (new for old) can minimize the number of dimensions that blink (not associative) if the profile is to be changed.

-- Submitted by Mike Hughes, IEng MIED, senior CAD designer, BOC Edwards, Shoreham, UK

-----------------------

Staying in your command - Users of CATIA V4 will be used to going into a function such as Point and creating several points before changing function. In
V5, however, the default behavior is to drop out of the command after the element has been created. Now we know that if you double-click the command you
can stay in it. But how many of us don't think we need to, till it's too late? Then we have to start the command again. My tip is to use Repeat Last Command. This is should be accessed from the keyboard with Ctrl - Y, because it is the quickest way to re-launch that last command without really thinking about it. I use this instead of the double-click as a matter of course.

-- Submitted by Ian Phillips, Munich, Germany

--------------------------------

Dimensioning between circles - Here's a tip for dimensioning between the centers of two circles that lie on different planes: sketch the first circle on one plane. Select the second plane, sketch the circle, then place a point and constrain it concentric with the first circle lying on the first plane. (Without this point dimension occurs from the center of the second circle to a tangent of first circle.) Place the dimension between this point and the center of the second circle. Change the point as a reference element.

-- Submitted by Suresh Balasundaram, training officer, Amrita CAD/CAM Center,
Amrita Institutions, Tamil Nadu, India.

-------------------------

Reorder your menus - To reorder the function menus in CATIA V5, after a "blood, tears and sweat" modeling session, do the following. Go to the CATSettings
directory (standard in the following path: c:/Documents and Settings/"user"/ApplicationData/DassaultSystemes/CATSettings) and delete only the file DialogPosition.CATSettings. (The directory Application Data is hidden) Now you can start again with the default position of all your workbenches and
menus.

-- Submitted by Mr. Gerdy Vandamme, T.V.H. Forkliftparts, Driemasten, Gullegem (Belgium)

-----------------------------

Copying An Existing Radius of a Circle - Draw the required circle, drag so that the reference circle is highlighted and right-click on the mouse button. A contextual menu pops up; choose Parameters and Copy Radius.

-- Submitted by Eddie Adams, product designer, Weidmuller Interface Ltd., Kent, England.

-----------------------------

Dimensioning a 3D Component Using Orthographic Views - You might opt to go in Sketcher and use the Dimensions command. However, in doing so you would realize that some dimensions are a little off. Instead of going back to Part Design to modify it, you could input "fake" dimensions to save time. It can be done this way: Right-click on the desired dimension Select Properties Select the Value tab and check the Fake Value box near the bottom You can now input the true dimension (numerical or alphanumerical)

-- Submitted by Jean-Francois Brunelle, Montreal, Canada. Installation Tip for V5 R3 SP3

---------------------------

- Problem:
Online help (F1) doesn't work on NT
Solution: Replace d:\Dassault Systemes\B03 Doc\resources\msgcatalog\CATIAId2url.CATNls (Note this file is of 0KB file size) With the same file from the documentation cd: CD Drive:\resources\msgcatalog\CATIAId2url.CATNls  (24KB).

-- Courtesy of CATIA Users of Central Ontario, www.ca.geocities.com/catiawebca/tips/install_tips.html.

-----------------------------

Minimizing update errors in circular patterns when refining a part - When dealing with circular parts with many patterns and features tied to the centerline of the part (i.e., a bolt hole pattern tied to the center of a wheel), I suggest the following to minimize the number of update errors as you
refine the part in future revisions: Insert an Open Body into the product structure and select Define in Work Object. Rename the body as REFERENCE_GEOMETRY. Insert a point at X=0 Y=0 Z=0 and rename it as ORIGIN. Insert a line through a point (the new origin) and a direction (normal to a surface perpendicular to your axis) at any length, and rename it as AXIS. Define your objects outside of the new body to eliminate confusion between elements. When defining a pattern in your part body, select the new line (AXIS) as the reference element.
By using this method, any changes to the main body or main sketch will not change the reference element used in a pattern. This procedure can save on reselecting the reference elements in a pattern each time you update or change the main body, and the pattern is always symmetrically located to the true center of your part - not the center of a circle which can shift.

-- Submitted by Jim Black, mechanical design engineer, Alcoa Wheel & Forged Products, Cleveland, Ohio.

--------------------------------------------------

Using smart names in product trees - When designing in V5, always use "names" for elements. After a complex design is complete, it is far easier to find Wheel_Bolt_Hole_Pattern in a tree rather than CircPattern.32 for editing. I use this method, and I try to name the feature in the tree after its role in the design. Along with using names, the IBM representative for my company suggests using "underscore" instead or "spaces" between words in a name.

-- Submitted by Jim Black, mechanical design engineer, Alcoa Wheel & Forged Products, Cleveland, Ohio.

----------------------------------

Using sketcher to establish die draw views of part - Once in sketcher, name a view so that when you exit sketcher, you will be able to call up that named view without having to be in sketcher.

-- Submitted by Cliff Streeter

-----------------------------

V5R7 Tip - When converting V4 surfaces to V5, you will probably encounter problems with gaps and cracks, which make the surfaces difficult to use. Therefore, try the following: In V4 make a skin (*SKI) of the region of interest and copy/paste the skin for a better result. (This entity may not be offsettable for part design.) Use the JOIN function with a merging distance set near V4 tolerances (i.e., 0.0003 inches) of surfaces/faces brought over individually to resolve gaps/overlaps between surfaces. Use the HEALING function similar to above for more control over individual surfaces.

IBM has a white paper on its interoperability website, www.ibm.com/de/caeserv/cipo/, which has more detailed information.

-- Submitted by Clifton Davies, Lockheed Martin Aeronautics Company, Palmdale, Calif.

------------------------------------

Improve .stl File Accuracy - To improve .stl file accuracy and to reduce faceting on .stl files, go to tools/options/display/performances. Change 3D accuracy from fixed to proportional, and change the setting to .02. Make sure the curves accuracy is set at 100 percent.

-- Submitted by Robert Gansen, Johnson Controls Inc., Holland, Mich.

----------------------------

Tip for CATIA V5 R4 - For this tip, suppose you have designed a 3D component in Part Design and want to modify its dimensions. You normally would go into Sketcher, modify the desired sketch, and then visualize the modified 3D part. However, sometimes the part itself won't show up in 3D, only the sketcher lines-as if no sketch-based features were applied. This would occur even though a 3D function (sketch-based feature) was previously applied on the text (i.e., pad, shaft, etc.) and would show up in the history. To solve this, apply the same 3D function (sketch-based feature) a second time (it will appear at the bottom of the history) on the sketch. Now your 3D part will show up once more. Finally, delete the sketch-based feature located at the bottom of the history.

-- Submitted by Jean-Francois Brunelle, SCP Science, Montreal, Canada

---------------------------------------

Creating a CAM path on a cylinder - Suppose you know where you want a CAM follower to start and also where it should end, but you don't know how to project a CAM path on a cylinder. While selecting endpoints is critical, the path is not necessarily that important. Here's the solution. First, draw a centerline profile between the start and end and then project this onto a cylinder. Remove the section of the cylinder that intersects this projection.
The result is the desired CAM path.

-- Submitted by by Dan Dangremond, Johnson Controls, Inc., Holland, Mich.

-----------------------------------

Freeing up Storage Space - We often use very large files of models to create a small part that will interface with a large model. Since several designers will interface with the same large model, we need to free up valuable storage space and speed things up. To do this, we take the CGR file and place it into a shared cache directory to which everyone can have access.

-- Submitted by Dan Dangremond, Johnson Controls, Inc., Holland, Mich.

-------------------------------------

IMPORTING 2D SPACE GEOMETRY INTO SKETCHER - Importing 2D-space geometry into V5's sketcher is an easy task. I have imported V4, IGES and STEP files successfully. Here are the steps for different variations. For V4 geometry: Open V4 2D space model in V5 operating mode. Copy V4 data into new V5 part model. Highlight parts to be copied; press control V. Start new V5 part model. Control/paste into V5 model. Save V5 part model as CATPART. Project 2D space geometry onto sketch. Open sketcher by selecting sketch plane and clicking the sketch icon. Highlight items to be copied into sketcher. Press project 3D geometry onto sketch icon. Exit sketcher (at this point the sketch geometry is not editable, as it is linked to the solid model input). Delete open body geometry. A warning will appear stating sketcher error with a recommendation to isolate. Select the isolate option. This will isolate sketch geometry from the open body geometry. Sketch geometry is then editable. Sketch geometry does not have any constraints relative to each other; i.e., a line is a line, and is not constrained to another line. Save model at a CATPART.

For IGES or STEP files of 2D space geometry: Open IGES or space file of 2D space model in V5 operating mode. Save as CATPART. Project 2D space geometry onto sketch. Open sketcher by selecting sketch plane and pressing the sketch icon. Highlight items to be copied onto sketch. Press project 3D geometry onto sketch icon. Exit sketcher (at this point the sketch geometry is not editable as it is linked to the space geometry input). Delete open body input.
A warning will appear, stating sketcher error with a recommendation to isolate. Select the isolate option. This will isolate sketch geometry from the open body geometry. Sketch geometry is then editable. Sketch geometry does not have any constraints relative to each other; i.e., a line is a line and is not constrained to another line. Save model.

-- Submitted by John Hill, Honeywell International

--------------------------------

CHANGING A SKETCH SUPPORT - Changing a sketch support is useful when you need to change your design, especially since redrawing the model can be tedious and time consuming. The steps to change a sketch support are as follows: Double-click the part for activation. Right-click sketch. Select Change Sketch Support.

-- Submitted by Davat Yilmaz, Istabul Ulasim A.S., Turkey

---------------------------

PATTERN ICON TIP - While most of the icons in part design work in the same manner if you select the object(s) and then the action (icon), or the icon and then the objects-the pattern icon doesn't. If the pattern icon is selected, then the current solid or a single primitive can be patterned. If you want to pattern multiple features, select the features first by holding down the control key (e.g. a hole and a fillet) and then select the pattern icon.

-- Submitted by Phil Harrison, CATIA Solutions Magazine benchmark tester and principal of LionHeart Solutions, Inc.

---------------------------

WINDOWS XP TIP - When re-installing a machine with Windows XP, or upgrading to XP from Windows NT or Windows 2000, be careful which graphics drivers are loaded; although XP comes with a vast library of drivers, they may not be the fastest. For example, I recently reloaded a system with an NVIDIA Quadro2 Pro graphics card. Windows XP Professional recognized the adapter and a driver was loaded. However, when I ran CATbench on the system, I found that the performance was surprisingly slow. I then upgraded the driver with one from my hardware vendor and re-ran the CATbench graphics tests and got a performance increase of about eight times.

-- Also submitted by Phil Harrison

-------------------------

V5 NC PROGRAMMING TIP - This tip is useful in NC Programming when the machining axis is different from the design axis. The predefined views (top, front, etc.) are usually not oriented the way you need them. Selecting the Normal View icon will bring the plane parallel to the screen, but most of the time you also need to rotate the part. One way to get the orientation you want is to orient the part as needed and then create a named view (View + Named Views + Add). This view can be recalled later with View + Named Views + Apply. Another method consists of creating an axis system in the NCGeometryxxx.catpart (toolbar Tools + Axis System). This axis system should be oriented in the view you want to create. When the axis system is created, small lines that represent the basic planes will appear near the axis; select one of these lines. Hook the compass on the selected line. The compass is now oriented like the axis system. Lock Current Orientation of the compass with MB3. You may now put the compass back to its original location. To orient the views, select one letter on the compass (U, V or W).

-- Submitted by Jean-Pierre Pigeon, Support NC Inc., Laval, Quebec, Canada

-------------------------

V5 TRICK - EMBOSSING TEXT - Create a new CATDrawing. Select a simple font and appropriate size. Select the Text Icon and a location near the origin of the default view. Save the CATDrawing for later reference. Save the same file as a .dxf. (This creates line segments.) Open the .dxf and select the lines, Copy (Ctrl+C). Create a plane on the part that you want to emboss. Create an offset plane or surface to define the pocket bottom of the embossing text. Select the Sketcher Icon and the Sketch Plane. Paste the .dxf lines (check orientation) and translate them into position. (This can be tedious.) Return to the file saved in Step 4, if the text requires mirroring. Exit Sketcher and select the Pocket Icon. Use Up to Surface for the second limit and select the other plane/surface.

-- Submitted by Ray Anderson, Lead KBE Engineer

---------------------

NEW V5 TECH TIP - How to log into V5 without automatically launching a new product: Right-click on the CATIA V5 Icon. Go to Properties. You will see the target:  "C:\Program  Files\DassaultSystemes\B08\intel_a\code\bin\CNEXT.exe"  -env  CATIA.V5R8.B08  -direnv  "C:\Documents  and  Settings\All Users\ApplicationData\DassaultSystemes\CATEnv". Add a space and the letter c to the end of this path. It now looks like this..."C:\Program Files\DassaultSystemes\B08\intel_a\code\bin\CNEXT.exe"    -env    CATIA.V5R8.B08    -direnv    "C:\Documents    and    Settings\All Users\ApplicationData\DassaultSystemes\CATEnv" c. Save and close this change. Start CATIA V5 with this icon. Whamo-CATIA will launch without launching a new product!

-- Submitted by Ken Page, DaimlerChrysler Certified Intern, Michigan

--------------------------------

RESPONSE TO LAST WEEK'S TIP (SEE BELOW) - This method works pretty well, but if you have a lot of points then you must keep scrolling through ANALYZE and selecting PRINT, and then edit the PRINT file to remove unwanted or duplicate info. I have found that for a large number of points, it is best to create an NC Set (Program) with the NCMILL function. Then pick your points using NCMILL + DEFINE + MACHINE + TIP. Using UTILITY + CATNC, select the NC Set you have just created. Execute this and it will create an aptSource file that will have your point data in it. You can further this process this by using a postprocessor (i.e., CAM-POST by ICAM Technologies, Inc.), which converts the aptSource file to NC machine tape file. Depending on your postprocessor (and if you do a lot of this type of data gathering), a special postprocessor template can be created that will output only the point data, instead of the machine commands mixed in with your data. You also could have the postprocessor set up to output the file formatted with a "," separating the X,Y,Z coordinates that would allow you to import your point data into a spreadsheet for further analysis.

-- Submitted by Colin Crowe, tool designer, Boeing Canada Technology Arnprior Div.

------------------------------------

UPDATE FOR V5 TIP FROM CDD JUNE 4 - I have another way to do the V5 Tech Tip from June 4. Steps 1-3 are the same: Right-click on the CATIA V5 Icon. Go
to Properties. You will see the target: "C:\ProgramFiles\DassaultSystemes\B08\intel_a\code\bin\CNEXT.exe" -env CATIA.V5R8.B08-direnv "C:\Documents and Settings\All Users\ApplicationData\DassaultSystemes\CATEnv." Add text, -object "C:\catiamodels\Customdefault.CATPart," after the environment definition and before the -direnv command. It now looks like this..."C:\ProgramFiles\DassaultSystemes\B08\intel_a\code\bin\CNEXT.exe" -env CATIA.V5R8.B08-object "C:\catiamodels\Customdefault.CATPart" -direnv "C:\Documents and Settings\All Users\ApplicationData\DassaultSystemes\CATEnv." CATIA will launch with your own default model.

-- Submitted by Antti Aho-Mantila, CAx trainer, Patria Aerospace Structures, Finland

-----------------------------------

TANGENT CUTTING PROFILE - If you have a message that reads "Tangent cutting profile" when generating a section view, here is a hint: Generally when you subtract or add a volume-based solid to another solid block (standard solid elements), the common areas are adjacent and CATIA does the operation without giving error messages in 3D. However, downstream routines crash (in section cut&section view command). Unfortunately, it is hard to solve the problem at this stage because this type of error was created by the designer at the beginning of the design stage (surface-volume+solid operations), and all solids are generated to this inefficient structure. Therefore, when the add or subtract or interference commands run obviously long, realize that section-cut and section-view routines will crash.

-- Submitted by Mak. Müh. Levent ÇETINDISLI, Tool Design Chief

-------------------------------

CATIA V5 GSD - The following scenario describes how to get an isoparameter curve in CATIA V5, just as you did in CATIA V4 CURVE1/ISOPARM. To get an isoparameter curve, the surface must be a multi-cell element, which means the surface has some internal edges. You have access to these internal curves. Use the function NEAR (GSD-workbench) and select an internal edge (curve) at the desired position. Choose the edge of the curve or any other near element to be the reference element, such as a point or a plane. Isoparameter curves are useful for creating spline curves, which can connect to a surface on which you have previously extracted an isoparameter curve. In such as case, you can give the spline the tangent conditions to the isoparameter to the surface on which you want to connect the spline curve.

-- Submitted by Heiko Oldendorf, free d graphics, Germany

----------------------

SAVING A PART WITH MULTIPLE SURFACES - Sometimes you may run into problems when trying to save a part consisting of multiple complex surfaces. (Often you have duplicate surfaces on top of one another.) Here is one solution. If there are not too many surfaces, you can change the color on each surface. The easiest way to do this is to just scroll over the surfaces in the tree. Surfaces highlight when you have duplicate surfaces. When this occurs, delete one. This way the part will not produce a saving error. We had this problem when working on the V5R6 Ford project.

-- Submitted by Jason Payne, Windsor, Ont

---------------------------------

SWITCHING BETWEEN BACKGROUD AND WORKING VIEWS - Here is a timesaving tip when having to switch between Background and Working Views when accessing the Drafting package. When you are in the working view environment, go to Tools/Customize/Commands/All commands and select Background. Add an icon to this
command, which reflects the Background subject. Select the command Background and drag this down to one of your toolbars, Analysis for example. Close the Customize window. Select your new Background icon, which will put you in this environment. Go to Tools/Customize/Commands/All commands and select Working Views. Add an icon to this command, which reflects the Working View subject. Select the command Working View and drag this down to one of your toolbars (wherever you placed the previous icon). Close the Customize window. Now when working on your 2D drawing it is easy to switch between the two environments without having to use the drop-down boxes.

-- Submitted by Eddie Adams, product designer, Weidmuller Interface Ltd , Sheerness, Kent, England

---------------------------------------------

SPACEBALL SHORTCUTS - This tip is for users who have access to a spaceball with buttons. I use a Logitech Spaceball 4000 FLX, which is excellent for both 2D and 3D work. (A spaceball is a valuable accessory, and I highly recommend one for all CATIA users.) I have assigned commands to the buttons as follows:
TAB - This allows me to tab across the TOOLS toolbar.
DELETE - It is very easy to select an object and use this button; much like V4. ESC - Allows you to clear any selections you have made without clicking away from the model, which may not be possible.
UNDO - As the name implies (this is much like the NO button on V4). You have to assign a function key F12, for example.
CTRL - For multiple selections. This has allowed me to input commands without having to take my hand away from the spaceball (only for numbers and text), which has greatly increased the throughput of my work.

-- Submitted by Eddie Adams, product designer, Weidmuller Interface Ltd , Sheerness, Kent, England

------------------------

CATIA V5 KEYBOARD SHORTCUTS - To change standard views of CatPart or CatProduct, click on the standard view icon, then press ARROW UP, DOWN, RIGHT or LEFT
as you wish.
ROTATIONS TIPS - To rotate your model on screen, click anywhere on your screen except the toolbar area and press: SHIFT+ARROW UP or DOWN keys for vertical rotation. SHIFT+ARROW RIGHT or LEFT for horizontal rotation. Hold keys for a full rotation.

-- Submitted by Daniel Bertrand, mechanical designer, Oerlikon Contraves Inc., Quebec, Canada

--------------------

V5 TIMESAVER - Many times when starting a sketch, you will find it is too small or too big, and as you add constraints and modify them, your sketch becomes misshaped. Therefore, you need to scale all lines, arcs and circles with the constraints already on the sketch. To do this, use the scale without the duplication turned on. The nice part of doing this is that all the constraints will scale up or down at the same time and in the same ratio. This timesaving trick prevents you from fiddling with the sketch to get it close to the size you need. This is especially helpful on sketches with a lot of arcs and circles with tangencies. It also prevents complex sketches from turning red (with an error), because geometry relations need to increase at the same ratio simultaneously to retain shape integrity.

-- Submitted by Kevin Soukup, senior mechanical designer and CAD adminstrator, Krebs Engineers, Tucson, AZ

-----------------------------------

Change V5 Default Settings When CATIA V5 is installed in the desktop or mobile workstation, it comes with some default settings. Here's how to change some of the default settings. To switch off the Flash Display during CATIA V5 start up, add the following environment variable: CNEXTSPLASHSCREEN = NO. To dump the CATIA V5 Output to console, add the following environment variable: CNEXTOUTPUT = Console. To avoid the default start up of CATIA Product Window during V5 start up, add the following environment variable: ADL_ODT_IN = 1.

Lastly, to add an Environment variable, you should right-click on MyComputer, select Properties, select Environment Variables and click new button.

--Submitted by Sridlhar Pasupuleti, QA engineer, Geometric Software Solutions, Bombay, India Extract Model from Sequential

-----------------------------------------

This tip provides an easy method to utilize the Extract Model From Sequential utility in V5. Under, MyComputer, go to Tools and click Folder Options. Click on File Types. Click on New. You will be asked to fill a file extension. Type in EXP. The EXP extension will show up in the registered File Types list, so select it. Click on Advanced. Another window will open. Click on New. Another window will open asking for an action. Name it Extract Model From Sequential or whatever suits you. You will be asked for an application used to perform action. Answer with "C:\Program Files\Dassault Systemes\B09\intel_a\code\bin\CATExtractModelFromSequential.exe" -il "%1" -od "." -report "Trans_info". Click OK.

You now have created a new file extension recognized by Windows. Please note: I tried to make it so that the info file was named the basename of the filename + .info extension e.g., "-report "%~n1.info", but could not get it to work properly. If someone knows how to do this, please respond here.

--Submitted by Jason Durand, design engineer, Plastech Engineered Products, Inc., Dearborn, MI

-----------------------------------------

The Importance of Adding Material and Removing Material Features - In CATIA V5, you should start working with Adding Material features such as Pad and Shaft. This way you will build a part by using material to which you can add or from which you can deduct. CATIA will not allow you to create a hole without having material from which to remove it. There is a way to work around it (if you really want to do it). Since CATIA V5 allows you to have multi-bodies in a single part, you can create a new body. CATIA does not check the content of the first body and assumes that there is material in another body with which you can work. Thus, you can create Removing Material features such as a hole. The tree list shows the hole, which is now visible graphically as a cylinder (for a simple hole). You will have two bodies; body 1 is the empty one and body 2 is the one with the hole (which displays as a cylinder). After you create a solid in your first body (body 1), you can perform a Boolean operation between the two bodies (1 and 2). To create the hole (body 2) in body 1, use the Join Boolean operation. This is in fact the opposite Boolean operation; you would think you need a Cut. Remember, when the first feature in the second body is a Removing Material feature, the Boolean operations interchange.

-- Submitted by Sridhar Paspuleti, QA Engineer, Geometric Software Solutions, Ltd., Bombay, India and edited by CATIA Digital Digest Advisory Board member, Benny Kronengold, Proficiency, Inc.

---------------------------------

CATIA V5 TIP
To store views or details such as user symbols, arrowheads, title blocks, etc., in a catalog, follow these steps:
Create a new drawing file.
Insert a new detail sheet-Insert >Drawing >Sheet>New Detail Sheet.
Create or paste your required elements in the empty view.
Create new views-Insert>Drawing>New View (any number). Then create symbols, title blocks, arrowheads, company logos, etc., in them.
Save your CATDrawing file.
Go to Save As and select Catalog as the file type to save.
To insert these details in any CATDrawing file, use the Catalog command and select the catalog file just created.
A preview appears of all the details in the file. You also can scale and rotate details while you insert them.

--Submitted by Manish Kohli, application engineer, EDS Technologies Pvt. Ltd., New Delhi, India

-----------------------------------

Circular Pattern Function
I have been using the Circular Pattern function in the Part Design module lately to design molds. This function is easy to use and can save time. Once you have created the shape you want to reproduce, select the Circular Pattern function in the Transformation Features toolbox. In order to reproduce your shape, you have to select the Reference Direction by choosing a reference element that is oriented in the desired plane. One would logically think to select a plane parallel to the desired plane, but unfortunately this would lead to a bad reproduction. To create the proper pattern, you need to select a reference element with plane NOT parallel to the desired plane. The difference in angle between both planes can be as low as 0.01 degrees.

--Submitted by Jean-Francois Brunelle, mechanical engineer, SCP Science, Quebec, Canada
 
-------------------------

CATIA V5 Embossing and Engraving
Many products are designed to include logos and text. In order to emboss or engrave text into or onto a part in V5, try variations of the following process:
Create a new CATDrawing. At the lower left corner of the sheet, type in the text that you want to put on your CATPart. You may have to experiment with flipping the text horizontally or vertically to get the results you want at the end of this process, so save the CATDrawing for later iterations. Be sure to choose a fairly simple font and appropriate size. Bold it if your fabrication process is not highly accurate. After saving the CATDrawing for later iterations, save again as a .dxf file. This will generate a series of geometric elements from the fonts. Close the CATDrawing that is open, and open the .dxf file that you just saved. Trap select and copy the geometric elements onto the clipboard.
Open the CATPart that you want to place the text on, and create a plane to place the sketch on. Note: I picture the plane as the lens of a projector, and place it slightly offset from the part, parallel to the surface onto which I am projecting. Select the sketcher icon, and paste the geometry from the clipboard.
Translate and rotate the geometry into position above the part, taking note of whether it is readable. If it is not readable (inverted), Undo the paste operation, and Open the CATDrawing. Invert the text in the CATDrawing and start the process over at Step 2. When the geometry is readable, use the Pad or Pocket routine in Part Design to emboss or engrave the text onto/into the CATPart.
For complex contour, create offset surfaces above and/or below the surface of the part and use the Up to Surface options in the Pad/Pocket Limit fields. If you would like to see this demonstrated real-time, visit my personal website: www.catiadr.com.

--Submitted by Ray Anderson, member of the CATIA Digital Digest advisory board,

---------------------------

Disable CATIA Splash Screen - Tired of watching that CATIA splash screen image every time you start up CATIA? Disable it by going to your CATIA install directory. For example, look in {Your drive}:\CATIA\V5r8\intel_a\resources\graphic\splashscreens. Located in this directory is CATIASplash.bmp, and CATIASplash.avi (video) may also be there. Rename these files and you will no longer see the splash screen. Alternatively, if you would like to see another image / video at startup, you can copy it into this directory and name it CATIASplash.bmp (or .avi) and it will greet you when you start CATIA.

--Submitted by Mark Collett, designer / NC programmer, Michelin

-----------------------------

Using One Surface to Create Another That Will Update - If you want to use a surface edge to create another surface and be sure that the new surface will be updated if you replace the first surface, first create a boundary to be used with the new surface. Take the following steps to ensure quality as well as the ability to update:
Create extremum points at both ends the boundary. These should start and stop. It is important to use the point function extremum and not vertex. Create the boundary between the two extremum points.
When creating the new surface, use that boundary to meet your requirements.
These steps will ensure that the new surface is updated even if you replace the old surface with surfaces from another part. This will work, for example, to create external links. Try this method when you are waiting for a designer to give you direction, but you want to start the work because you have an idea about how it will look. Create your base surface and build additional surfaces using the method above and you will be free to replace your surfaces with surfaces suggested by the designer without losing links between the surfaces in your part.

-- Submitted by Bo P Nilsson, CAD project manager, Volvo Car, Goteborg, Sweden

-------------------------------

How to Create a Closed End Helical Spring
If you are having trouble creating springs in CATIA, here's one way to overcome the problem. Instead of using complex law curves, use the Helix command that already exists within the Generative Shape Design workbench. To create the spring, you need three helixes—one for the start and end of the spring and one for the center. By linking the parameters for the helix using the Formula Editor, you can create a spring that will update in height and pitch automatically. Create a new part file and add a reference line to act as the spring axis and a point at a distance from this where you want the spring to start. Using this point and the axis, create a helix using an S-type law, starting at 0 and ending at a pitch value that you want. Using the end point of this helix and the axis, create a second helix that follows on from the first one using the same pitch value and the height you want. Similar to the first helix, and using the end point of the second helix and the axis, create a third helix using an S type law, starting at the pitch value and ending at 0.You can join these curves together and create a rib using a section sketched at the start of the spring.  At this stage, you have a closed-end helical spring. You need to link the heights, pitches and revolutions of each spring so that when you update an overall height parameter, the entire spring updates. This is customized to the spring parameters that you want.

--Submitted by Jonathan Cullen, Cadpo Europe

---------------------------------

Maintaining Layer Control When Using Sketcher - If you are trying to maintain strict layer control in V4 and a LAYER+LAYER+ANALYZE tells you that a layer is used in space, but you cannot find anything on it, it just might be a Sketcher element. (Note that elements in NS and NP do not show up in a LAYER+LAYER+ANALYZE.) Every constraint created in Sketcher is stored as what I would call an invisible space element. They can be moved into NS/NP, erased or transferred to different layers by using selections such as *SPC. But they are not visible. One way to check for them is to do an IDENTIFY+RENAME+LIST. The constraints shows up as things like *DIST, *LENG, *ANG, *REF, *IPAR, *RELE, *RELB, *COIN, *CONC, *TANG, *PERP, *PARA and others. They can be erased or moved as desired by using selections such as *RELE+*RELB+*IPAR or by using *USR to select all Sketcher elements at once.

--Submitted by Phil Hittepole, Gulfstream Aerospace, Appleton, WI

----------------------

Watch the points on your contour - In Catia V4 if you use the sketcher to design a contour that will be extruded or revolved and you put a point somewhere by mistake it's not a problem. You can revolve or extrude the contour without problems. But in Catia V5 it is a big mistake if you forget to make that point or line a construction point. I mean you can't do the task with a contour in Catia V5.

-- Submitted by Mihai Zecheru, GECI GmbH, Oberpfaffenhofen, Germany

-------------------------------

Changing draw mode elements into phantom thin lines easily by changing model colors. - Create your overlay, whether it is by overlay manager, model read,
/links or assembly. Go into the draw window (this will allow a large number or models to be graphically updated quickly). Go to model manage analyze. Select color for the models you want to change into phantom. Be sure it is not a standard color already used in the model that you want to stay solid lined. Go into a split horizontal screen (3D and draw). Make sure the models you want to show up phantom are all the same color. Go to auxview2; create view or update existing view. Go to graphic modify line type, select phantom and type *col and select an element you previously colored. Your lines will magically update to phantom while leaving the non-colored lines solid. Do the same thing for line thickness.
Option for advanced user: Go to standards and switch thickness and line type. Then go to graphic modify standard.

-- Daniel Wade, structural designer, Electric Boat Corp., Groton, Conn.

--------------------------------------------------

CATIA HINTS & TIPS for DRAFTING GENERAL DRAFTING
1) Always use the correct start-up model. Start-up models enable your company to pre-define drafting standards for items such as Layers, Dimensions, Text Patterns, Formats etc. Your company should have start-up models for each environment that they use.
2) Minimize the use of fake dimensions. There are rare occasions when you have to use Fake Dimensions. Every drawing should be checked for Fake Dimensions using DIMENS2+MANAGE+VERIFY+FAKE DIMENSION. The Checker should validate the use of any fake dimensions.
3) Associate text with dimensions where applicable. Text (such as GD&T) can be associated to a dimension so that both entities will travel together when you need to modify the location of your dimension. TEXTD2+MANAGE+ASSOCIAT
4) Whenever possible do not dimension to points or non-AUXVIEW2 generated elements. Selecting these elements will create non-associated dimensions. This means when you modify your solid your dimensions will not reflect the change.
5) When positioning the leader of a note, INDICATE where the leader will end. SELECTING AUXVIEW2 GENERATED ELEMENTS MAY PREVENT THE VIEW FROM PROPERLY UPDATING.
6) When labeling views use TEXTD2 to add text before & after the AUXVIEW2 text. 7) If you want to add section locator text to the AUXVIEW2 section callout text, Use EXTD2+MANAGE+ASSOCIAT. AUXVIEW2
8) Solids must ALWAYS be updated before views can be successfully created. By far the most common reason for unsuccessful extractions in AUXVIEW2 is either poorly constructed solids or solids that havent been updated.
9) Make the solid an UNSMART solid to enhance AUXVIEW2 performance. Unsmarting your solid can reduce update time from 25 to 50%. Design and model with SMART solids, Draft with UNSMART solids.
10) Use AUXVIEW2 to monitor the quality of the solid as the solid design progresses.
11) Use AUXVIEW2 generated text for view name & scale.
12) Modify AUXVIEW2 section lines after views have been detailed.
13) Max number of background planes (views) allowed in a CATIA model; approx. 256.
14) Use /LINKS to manage the models in your session that created your drawing SAVING FILES
15) Unsmart all solids This greatly reduces the file space required and makes it
easier for other designers who are using your model in an assembly.
16) Update all solids Ensuring that your solids are all updated, including DETAIL workspaces, will help to minimize crashing and improve Auxview2 performance.
17) Update all views This ensures that your views show the latest changes to
the solids. These tips were supplied by TBM Technologies

-----------------------------------

CATIA Model Clean Up

There are some cases when a CATIA model does not respond properly to standard functionality. This often occurs if the model is the result of a translation. If you determine that the problems are model specific, the following clean-up routine will usually restore your model to good health.
1. Erase all unnecessary elements. Use LAYER + FILTER + APPLY (all) to turn on all layers Use ERASE + ERASE to delete all unnecessary elements Use ERASE + NO
SHOW to delete all unnecessary elements in no-show Use ERASE + NO PICK to delete all unnecessary elements in no-pick
2. If your model contains SOLIDS, ensure that they are all updated. Use SOLIDE +UPDATE
3. RUN the clean macro At the command line, type /cln and hit enter Select yes to execute If errors are detected, select DELETE, MODIFY, PACK, ALL Select yes to execute. Repeat a second time if all errors were not fixed
4. Use IDENTIFY + RENUMBER + ELEMENT + AUTO ID (yes to execute) Use IDENTIFY + UPDATE (yes to execute)
5. Use ERASE + PACK (yes to execute)
If you are still having problems and are sure that they are Model dependent, try the following: Use the MERGE function to merge all of the required elements into a clean model.

--------------------------------

System Tip - Kill It! - When a graphical program locks up on your system, it could be a hassle to kill the program. The kill command will do it, but you
need to know the Process ID of the command (sometimes apps will have many different ID's of which all need to be killed).
A much easier way to do this would be to run xkill. This program simply asks you to click on the window you wish to kill and you are done. Go to a UNIX
prompt and type: xkill.

-- Courtesy of the CATIA Users of Central Ontario, www.ca.geocities.com/catiawebca

--------------------------------

V4 CATIA Tip - On those rare occasions that you need to put boundaries on all the faces of a surfaced model (that does not have a volume) do the following:
Move all the data off the screen Select F4, and switch Virtual to off Select BR Select CURVE1-BOUNDARY Type MULTI-SEL *FAC Reframe data

-- Submitted by Gary Moore, lead product designer, Kautex Texron NA

----------------------------------

Beating the Law - If you have been given the task of creating a surface that smoothly transitions from one closed curve to the next while controlling the
intermediate cross-sections, CATIA Version 4's Surfacing Laws are for you. The concept is to match the Law to the planar area of the generating curves in
a Surf2+Curve+Crv-Crv. You must first analyze the enclosed area of the sections by creating a planar face with Limit2. Start with the Analysis+Inertia routine: using the default density of 1.00, determine and record the areas of the G-curve-generated faces. Be sure to keep these in order in your notes, since their order is important to the definition process. The next step is to create a plane through each of the planar G-curves, and place them adjacent to the curves for clarity and reference. Place a Limit point on one of the planes at the farthest extremity in the stack of G-curves. Now, use Curve2+Spine to define the flow from one section to the next by selecting the point and first-through-last planes in order (the point lies on the first plane in the series). After generating the spine, use Analysis+Numeric along the curvilinear length of the spine curve. Select Limit1+Break on the spine at each section plane, and analyze the length of each segment, keeping good records of each span and which pair of G-curves each span lies between. Select Limit1+Concatenate+Curve to put the spine back together because you need it intact for the Law to be distributed along the spine. Now for the fun part!
Solve the following equation for R on each section: Square root of Area/Pi = R. The conversion of the area to a radius value is necessary for successful completion of the Law. In 2D, somewhere slightly away from the part, draw a line the same length as the spine you analyzed earlier. Use Point+Limits to create end points on the line. With Point+Spaces, select the line and the start point, followed by the value equal to the first segment of the spine length, and so on. At one end of the line, use Point+Coord to select the end point and key in 0, (Radius value) to establish the first point offset for the Law. Continue this process, basing the coordinate point on the next consecutive value of R that you solved earlier. In other words, you are charting a gap defining the radius resultant for each consecutive G-curve area at the specific point that it will occur along the spine. Once these points are charted, an arc can be calculated through these points, and it is a good idea to impose tangency at each end, so that the area is held momentarily as the surface exits the final G-curve. Law+Create+Area: In 3D mode, select the Varying Arc that you just calculated through the radius points, then the line that was initially created in 2D, then the spine that was concatenated. Compute and type in a name for the Law. This law can now be used in Surf2+Curve+Crv-Crv as one of the variables controlling your new surface. You will notice that area is an input parameter in your FK Menu after spine selection and before G-curve selection. For a complete list of possible inputs, look at the Analysis panel with on the ten-key pad (removes the analysis panel).

-- A tip previously published in CATIA Solutions Magazine, submitted by Ray Anderson, CATIA application engineer,INCAT Systems, Novi, Mich.

-------------------------------

Translating Between V4 AND V5
When translating CATIA V4 files to V5, make sure you have updated the annotation on each file using the UTILITY command, CATMOD. Then select the annotation update command from the pop-up window (should be last one). It will run as a batch command on a whole directory. This will help the translation of text and dimensions when translating to V5. If this command is not in the CATMOD command, you can update each drawing one at a time. To do this, simply read a drawing, then type /annd34. This will update the drawing you are in, then save the drawing. Also, be sure to run a CATCLN on all files. This will help the files cleanly translate to V5. (You can first check to make sure there is no old annotation by viewing a command prompt in the lower left corner. If it states "no old annotation in the model," there is no need to update, just make sure to run a CATCLN.) Also, we were able to use the /annd34 command with our Mechanical Advanced Part Design and Detail license.

-- Submitted by Jeremy J. Pryba, senior designer, Parker/UAP, Forest, Ohio

---------------------------------------

CATIA DRAWSPACE - Most of CATIA's Drawspace (2D) data does not transfer to IGES or, when it does, it becomes scattered. However, by talking to your CATIA business partner you can set up a "dummy" pen plotter-one that does not exist. When CATIA does not find the plotter, it creates a catout.gl file, which can be renamed and often read into other graphics of CAD applications with no loss of data.

-- Submitted by Al Berent, CAD/CMM Analyst, Aetna Industries, Inc.

--------------------------------

Maintaining Associativity Between Space and Draw - Check solid name to be *SOL1 following modification and prior to initial drawing extraction. Identify>renumber>auto ID will set the solid name back to *SOL1. During Auxview2 extraction CATIA looks for the solid name used for the previous extraction. Managing Large Solid Models - I recommend forcing an update on larger solids (SolidE>update). Sometimes the error message "unresolved contextual features" is not picked up using the swirl button in the parts editor window, which gives the assumption that the solid is clean.

-- Submitted by Mike Hughes, senior designer, BOC Edwards Vacuum Technology, West Sussex, UK.

----------------------------

Hot Keys - I have found that creating hot keys is a real time saver. I programmed ALT+C to collapse the tree. For all those V4 users, I programmed CTRL+R t

Back to DASSAULT: CATIA products FAQ Index
Back to DASSAULT: CATIA products Forum

My Archive

Close Box

Join Eng-Tips® Today!

Join your peers on the Internet's largest technical engineering professional community.
It's easy to join and it's free.

Here's Why Members Love Eng-Tips Forums:

Register now while it's still free!

Already a member? Close this window and log in.

Join Us             Close